package com.ruoyi.common.auth.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.ruoyi.common.core.exception.ServiceException;
import com.ruoyi.common.auth.entity.OauthClientDetails;

import java.util.List;

/**
 * @author Yuuki
 */
public interface OauthClientDetailsService extends IService<OauthClientDetails> {

    /**
     * 查询（分页）
     *
     * @param oauthClientDetails oauthClientDetails
     * @return IPage<OauthClientDetails>
     */
    List<OauthClientDetails> findOauthClientDetails(OauthClientDetails oauthClientDetails);

    /**
     * 根据主键查询
     *
     * @param clientId clientId
     * @return OauthClientDetails
     */
    OauthClientDetails findById(String clientId);

    OauthClientDetails findByIdToCheck(String clientId);

    /**
     * 新增
     *
     * @param oauthClientDetails oauthClientDetails
     */
    void createOauthClientDetails(OauthClientDetails oauthClientDetails) throws ServiceException;

    /**
     * 修改
     *
     * @param oauthClientDetails oauthClientDetails
     */
    void updateOauthClientDetails(OauthClientDetails oauthClientDetails);

    /**
     * 删除
     *
     * @param clientIds clientIds
     */
    void deleteOauthClientDetails(String clientIds);

    OauthClientDetails findByIdToAuth(String clientId);
}
