package com.ruoyi.common.core.domain;

/**
 * FEBS系统常量类
 *
 * @author MrBird
 */
public interface FebsConstant {

    /**
     * 排序规则：降序
     */
    String ORDER_DESC = "descending";
    /**
     * 排序规则：升序
     */
    String ORDER_ASC = "ascending";

    /**
     * Gateway请求头TOKEN名称（不要有空格）
     */
    String GATEWAY_TOKEN_HEADER = "GatewayToken";
    /**
     * WX请求头TOKEN名称（不要有空格）
     */
    String WX_TOKEN_HEADER = "WXToken";
    /**
     * WX请求头TOKEN值
     */
    String WX_TOKEN_VALUE = "wx";
    /**
     * Gateway请求头TOKEN值
     */
    String GATEWAY_TOKEN_VALUE = "dz_logistics:gateway:123456";

    /**
     * 允许下载的文件类型，根据需求自己添加（小写）
     */
    String[] VALID_FILE_TYPE = {"xlsx", "zip"};

    /**
     * 验证码 key前缀
     */
    String CODE_PREFIX = "febs.captcha.";

    /**
     * 异步线程池名称
     */
    String ASYNC_POOL = "febsAsyncThreadPool";

    /**
     * OAUTH2 令牌类型 https://oauth.net/2/bearer-tokens/
     */
    String OAUTH2_TOKEN_TYPE = "bearer";
    /**
     * Java默认临时目录
     */
    String JAVA_TEMP_DIR = "java.io.tmpdir";
    /**
     * utf-8
     */
    String UTF8 = "utf-8";
    /**
     * 注册用户角色ID
     */
    Long REGISTER_ROLE_ID = 2L;

    String LOCALHOST = "localhost";
    String LOCALHOST_IP = "127.0.0.1";

    /**
     * 1 已删除，0 未删除
     */
    char DELETE_YES = '1';
    char DELETE_NO = '0';

    /**
     * 是否 1 是，0 否
     */
    String YES = "1";
    String NO = "0";

    /**
     * 授权状态 1 启用，0 禁用
     */
    String AUTH_TYPE_YES = "1";
    String AUTH_TYPE_NO = "0";

    /**
     * 审核状态 0-待审核 1-已通过 2-未通过
     */
    String AUDIT_STATUS_YES = "1";
    String AUDIT_STATUS_NO = "2";
    String AUDIT_STATUS_PENDING = "0";

    /**
     * 来源 01-微信 02-App 03-PC
     */
    String SOURCE_WECHAT = "01";
    String SOURCE_APP = "02";
    String SOURCE_PC = "03";

    /**
     * 开门方式 01-人脸识别 02-二维码开门 03-蓝牙开门
     */
    String OPEN_TYPE_FACE = "01";
    String OPEN_TYPE_QRCODE = "02";
    String OPEN_TYPE_BLUETOOTH = "03";

    /**
     * 证件类型 1-身份证
     */
    String CERT_TYPE_IDCARD = "1";
}
