package com.ruoyi.business.domain;

import java.io.Serializable;
import com.baomidou.mybatisplus.annotation.*;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;
import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;
import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;

/**
 * 适配器对象 b_adapter
 * 
 * @author gx
 * @date 2024-02-22
 */
@Builder
@Data
@NoArgsConstructor
@AllArgsConstructor
@JsonIgnoreProperties(ignoreUnknown = true)
@TableName("b_adapter")
public class Adapter implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 主键
     */
    @TableId(value = "id", type = IdType.ASSIGN_ID)
    @JsonSerialize(using= ToStringSerializer.class)
    private Long id;

    /**
     * 适配器名称
     */
    @TableField("name")
    private String name;

    /**
     * 适配器类型
     */
    @TableField("type")
    private String type;

    /**
     * 适配器内容
     */
    @TableField("content")
    private String content;

    /**
     * 状态
     */
    @TableField("status")
    private String status;

    /**
     * 业务服务主键
     */
    @TableField("service_business_id")
    @JsonSerialize(using= ToStringSerializer.class)
    private Long serviceBusinessId;

    /**
     * 业务服务名称
     */
    @TableField("service_business_name")
    private String serviceBusinessName;

    /**
     * 业务服务字段
     */
    @TableField("service_business_field")
    private String serviceBusinessField;

    /**
     * 部门路径
     */
    @TableField("dept_id_path")
    private String deptIdPath;

    /**
     * 部门名称
     */
    @TableField("dept_name")
    private String deptName;

    /**
     * 创建人
     */
    @TableField("create_by")
    private String createBy;

    /**
     * 创建人ID
     */
    @TableField("create_user_id")
    @JsonSerialize(using= ToStringSerializer.class)
    private Long createUserId;

    /**
     * 创建时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @TableField("create_time")
    private Date createTime;

    /**
     * 更新人
     */
    @TableField("update_by")
    private String updateBy;

    /**
     * 更新时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @TableField("update_time")
    private Date updateTime;

    /**
     * 删除人
     */
    @TableField("delete_by")
    private String deleteBy;

    /**
     * 删除时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @TableField("delete_time")
    private Date deleteTime;

    /**
     * 删除标志 0未删除，1 删除
     */
    @TableField("delete_flag")
    @TableLogic
    private String deleteFlag;


}
