package com.ruoyi.business.domain;

import java.io.Serializable;
import com.baomidou.mybatisplus.annotation.*;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;
import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;
import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;

/**
 * 文件打包解析对象 b_file_exchange_resolve
 * 
 * @author gx
 * @date 2024-01-31
 */
@Builder
@Data
@NoArgsConstructor
@AllArgsConstructor
@JsonIgnoreProperties(ignoreUnknown = true)
@TableName("b_file_exchange_resolve")
public class FileExchangeResolve implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 主键
     */
    @TableId(value = "id", type = IdType.ASSIGN_ID)
    @JsonSerialize(using= ToStringSerializer.class)
    private Long id;

    /**
     * 接口名称
     */
    @TableField("interface_name")
    private String interfaceName;

    /**
     * 接口地址
     */
    @TableField("interface_url")
    private String interfaceUrl;

    /**
     * 主键字段
     */
    @TableField("id_field")
    private String idField;

    /**
     * 解析规则
     */
    @TableField("resolve_rule")
    private String resolveRule;

    /**
     * 数据存储源ID
     */
    @TableField("database_id")
    @JsonSerialize(using= ToStringSerializer.class)
    private Long databaseId;

    /**
     * 数据存储源
     */
    @TableField("database_name")
    private String databaseName;

    /**
     * 数据存储表
     */
    @TableField("table_name")
    private String tableName;

    /**
     * 数据存储表名
     */
    @TableField("table_remark")
    private String tableRemark;

    /**
     * 文件类型校验
     */
    @TableField("file_type")
    private String fileType;

    /**
     * 文件大小校验
     */
    @TableField("file_size")
    private int fileSize;

    /**
     * 生成时间校验
     */
    @TableField("file_time")
    private int fileTime;


    /**
     * 部门路径
     */
    @TableField("dept_id_path")
    private String deptIdPath;

    /**
     * 部门名称
     */
    @TableField("dept_name")
    private String deptName;

    /**
     * 创建人
     */
    @TableField("create_by")
    private String createBy;

    /**
     * 创建人ID
     */
    @TableField("create_user_id")
    @JsonSerialize(using= ToStringSerializer.class)
    private Long createUserId;

    /**
     * 创建时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @TableField("create_time")
    private Date createTime;

    /**
     * 更新人
     */
    @TableField("update_by")
    private String updateBy;

    /**
     * 更新时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @TableField("update_time")
    private Date updateTime;

    /**
     * 删除人
     */
    @TableField("delete_by")
    private String deleteBy;

    /**
     * 删除时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @TableField("delete_time")
    private Date deleteTime;

    /**
     * 删除标志 0未删除，1 删除
     */
    @TableField("delete_flag")
    @TableLogic
    private String deleteFlag;


}
