package com.ruoyi.business.mapper;

import com.baomidou.mybatisplus.core.conditions.update.LambdaUpdateWrapper;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.toolkit.Constants;
import com.ruoyi.business.domain.FileExchangePackageLog;
import org.apache.ibatis.annotations.Param;
import org.apache.ibatis.annotations.Update;

/**
 * 对外文件打包日志Mapper接口
 * 
 * @author ruoyi
 * @date 2024-01-29
 */
public interface FileExchangePackageLogMapper extends BaseMapper<FileExchangePackageLog> {

    /**
     * 删除对外文件打包日志
     * 
     * @param id 对外文件打包日志主键
     * @return 结果
     */
    int deleteFileExchangePackageLogById(Long id);

    /**
     * 批量删除对外文件打包日志
     * 
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    int deleteFileExchangePackageLogByIds(Long[] ids);

    /**
     * 批量删除对外文件打包日志（逻辑）
     * @param updateWrapper
     */
     @Update("update b_file_exchange_package_log set ${ew.sqlSet} ${ew.customSqlSegment}")
     int updateByIds(@Param(Constants.WRAPPER) LambdaUpdateWrapper<FileExchangePackageLog> updateWrapper);
}
