package com.ruoyi.business.service;

import java.util.List;
import com.baomidou.mybatisplus.extension.service.IService;
import com.ruoyi.business.domain.FileExchangePackage;

/**
 * 对外文件打包Service接口
 * 
 * @author ruoyi
 * @date 2024-01-29
 */
public interface IFileExchangePackageService extends IService<FileExchangePackage> {

    /**
     * 查询对外文件打包列表
     * 
     * @param fileExchangePackage 对外文件打包
     * @return 对外文件打包集合
     */
    List<FileExchangePackage> selectFileExchangePackageList(FileExchangePackage fileExchangePackage);

    /**
     * 查询对外文件打包详情
     *
     * @param id 对外文件打包主键
     * @return 对外文件打包
     */
     FileExchangePackage selectFileExchangePackageById(Long id);

    /**
     * 新增对外文件打包
     * 
     * @param fileExchangePackage 对外文件打包
     * @return 结果
     */
    int insertFileExchangePackage(FileExchangePackage fileExchangePackage);

    /**
     * 修改对外文件打包
     * 
     * @param fileExchangePackage 对外文件打包
     * @return 结果
     */
    Boolean updateFileExchangePackage(FileExchangePackage fileExchangePackage);

    /**
     * 批量删除对外文件打包
     * 
     * @param ids 需要删除的对外文件打包主键集合
     * @return 结果
     */
    int deleteFileExchangePackageByIds(Long[] ids);

    /**
     * 删除对外文件打包信息
     * 
     * @param id 对外文件打包主键
     * @return 结果
     */
    int deleteFileExchangePackageById(Long id);
}
