package com.ruoyi.business.service;

import java.util.List;
import com.baomidou.mybatisplus.extension.service.IService;
import com.ruoyi.business.domain.FileExchangeResolveLog;

/**
 * 文件打包解析日志Service接口
 * 
 * @author ruoyi
 * @date 2024-01-31
 */
public interface IFileExchangeResolveLogService extends IService<FileExchangeResolveLog> {

    /**
     * 查询文件打包解析日志列表
     * 
     * @param fileExchangeResolveLog 文件打包解析日志
     * @return 文件打包解析日志集合
     */
    List<FileExchangeResolveLog> selectFileExchangeResolveLogList(FileExchangeResolveLog fileExchangeResolveLog);

    /**
     * 查询文件打包解析日志详情
     *
     * @param id 文件打包解析日志主键
     * @return 文件打包解析日志
     */
     FileExchangeResolveLog selectFileExchangeResolveLogById(Long id);

    /**
     * 新增文件打包解析日志
     * 
     * @param fileExchangeResolveLog 文件打包解析日志
     * @return 结果
     */
    int insertFileExchangeResolveLog(FileExchangeResolveLog fileExchangeResolveLog);

    /**
     * 修改文件打包解析日志
     * 
     * @param fileExchangeResolveLog 文件打包解析日志
     * @return 结果
     */
    Boolean updateFileExchangeResolveLog(FileExchangeResolveLog fileExchangeResolveLog);

    /**
     * 批量删除文件打包解析日志
     * 
     * @param ids 需要删除的文件打包解析日志主键集合
     * @return 结果
     */
    int deleteFileExchangeResolveLogByIds(Long[] ids);

    /**
     * 删除文件打包解析日志信息
     * 
     * @param id 文件打包解析日志主键
     * @return 结果
     */
    int deleteFileExchangeResolveLogById(Long id);
}
