package com.ruoyi.business.service;

import java.util.List;
import com.baomidou.mybatisplus.extension.service.IService;
import com.ruoyi.business.domain.FileExchangeResolve;

/**
 * 文件打包解析Service接口
 * 
 * @author gx
 * @date 2024-01-31
 */
public interface IFileExchangeResolveService extends IService<FileExchangeResolve> {

    /**
     * 查询文件打包解析列表
     * 
     * @param fileExchangeResolve 文件打包解析
     * @return 文件打包解析集合
     */
    List<FileExchangeResolve> selectFileExchangeResolveList(FileExchangeResolve fileExchangeResolve);

    /**
     * 查询文件打包解析详情
     *
     * @param id 文件打包解析主键
     * @return 文件打包解析
     */
     FileExchangeResolve selectFileExchangeResolveById(Long id);

    /**
     * 新增文件打包解析
     * 
     * @param fileExchangeResolve 文件打包解析
     * @return 结果
     */
    int insertFileExchangeResolve(FileExchangeResolve fileExchangeResolve);

    /**
     * 修改文件打包解析
     * 
     * @param fileExchangeResolve 文件打包解析
     * @return 结果
     */
    Boolean updateFileExchangeResolve(FileExchangeResolve fileExchangeResolve);

    /**
     * 批量删除文件打包解析
     * 
     * @param ids 需要删除的文件打包解析主键集合
     * @return 结果
     */
    int deleteFileExchangeResolveByIds(Long[] ids);

    /**
     * 删除文件打包解析信息
     * 
     * @param id 文件打包解析主键
     * @return 结果
     */
    int deleteFileExchangeResolveById(Long id);
}
